<br>
<svg width="170" height="50" xmlns="http://www.w3.org/2000/svg" xmlns:v="https://vecta.io/nano"
     viewBox="0 0 162.612 24.465">
    <path d="M52.751.414h9.108v23.63h-9.108zM41.711.74l-18.488 9.92a.919.919 0 0 1-.856 0L3.879.74A2.808 2.808 0 0 0 2.558.414h-.023A2.4 2.4 0 0 0 0 2.641v21.376h9.1V13.842a.918.918 0 0 1 1.385-.682l10.361 5.568a3.634 3.634 0 0 0 3.336.028l10.933-5.634a.917.917 0 0 1 1.371.69v10.205h9.1V2.641A2.4 2.4 0 0 0 43.055.414h-.023a2.808 2.808 0 0 0-1.321.326zm65.564-.326h-9.237v10.755a.913.913 0 0 1-1.338.706L72.762.675a2.824 2.824 0 0 0-1.191-.261h-.016a2.4 2.4 0 0 0-2.535 2.227v21.377h9.163V13.275a.914.914 0 0 1 1.337-.707l24.032 11.2a2.813 2.813 0 0 0 1.188.26 2.4 2.4 0 0 0 2.535-2.227zm7.161 23.63V.414h4.191v23.63zm28.856.421c-11.274 0-19.272-4.7-19.272-12.232C124.02 4.741 132.066 0 143.292 0s19.32 4.7 19.32 12.233-7.902 12.232-19.32 12.232zm0-21.333c-8.383 0-14.84 3.217-14.84 9.1 0 5.926 6.457 9.1 14.84 9.1s14.887-3.174 14.887-9.1c0-5.883-6.504-9.1-14.887-9.1z"
          fill="#c72c48"/>
</svg>
<br>
<h4>{$service->lang['Web Console']}: <a href="https://console.{$service->service_domain}/" target="_blank">
        https://console.{$service->service_domain}/
    </a>
</h4>

<div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center">
        <b><i class="fa fa-code"></i>&nbsp;&nbsp;{$service->lang['REST API']}:</b>
    </div>
    <div class="col-md-8">
        <div class="row">
            <div class="col-10 d-flex align-items-center justify-content-center">
                <strong>https://{$service->service_domain}</strong>
            </div>
            <div class="col-2 d-flex align-items-center">
                <div class="form-group mb-2 mt-2">
                    <div class="input-group">
                        <input type="hidden" name="APIurl" id="APIurl" value="https://{$service->service_domain}">
                        <button onclick="copyAPIurl()" id="copyAPIurlButton" class="btn btn-outline-danger"
                                type="button">
                            <i class="fa fa-copy"></i>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center">
        <b><i class="fa fa-user"></i>&nbsp;&nbsp;{$service->lang['Username']}:</b>
    </div>
    <div class="col-md-8">
        <div class="row">
            <div class="col-10 d-flex align-items-center justify-content-center">
                <strong>{$service->service_username}</strong>
            </div>
            <div class="col-2 d-flex align-items-center">
                <div class="form-group mb-2 mt-2">
                    <div class="input-group">
                        <input type="hidden" name="username" id="username" value="{$service->service_username}">
                        <button onclick="copyUsername()" id="copyUsernameButton" class="btn btn-outline-danger"
                                type="button">
                            <i class="fa fa-copy"></i>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center">
        <b><i class="fa fa-lock"></i>&nbsp;&nbsp;{$service->lang['Password']}:</b>
    </div>
    <div class="col-md-8">
        <div class="row">
            <div class="col-10 d-flex align-items-center">
                <div class="form-group mb-2 mt-2 w-100">
                    <div class="input-group">
                        <input type="password" id="password" name="password" class="form-control"
                               value="{$service->service_password}" disabled>
                        <div class="input-group-append">
                            <button id="showPasswordButton" class="btn btn-outline-secondary" type="button">
                                <i class="fa fa-eye"></i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-2 d-flex align-items-center">
                <div class="form-group mb-2 mt-2">
                    <div class="input-group">
                        <button onclick="copyPassword()" id="copyPasswordButton" class="btn btn-outline-danger"
                                type="button">
                            <i class="fa fa-copy"></i>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="form-group text-center">
    {include file='modules/servers/puqDockerMinIO/templates/change_administrator_password.tpl'}
</div>

<div class="panel panel-default" style="margin-top: 8px;">
    <div class="panel-body" style="padding-top: 8px; padding-bottom: 5px;">

        <div id="app_loader" class="bloader" style="display: none; height: 100px;">
            <i class="fas fa-sync fa-spin fa-5x"></i>
        </div>

        <div id="appInfo">
            <div class="row border-bottom">
                <div class="col-md-4 d-flex align-items-center">
                    <b><i class="fa fa-cogs"></i>&nbsp;&nbsp;{$service->lang['Version']}:</b>
                </div>
                <div class="col-md-8">
                    <b id="app_version" class="text-success"></b>
                </div>
            </div>

            <div class="row border-bottom">
                <div class="col-md-4 d-flex align-items-center">
                    <b><i class="fa fa-user"></i>&nbsp;&nbsp;{$service->lang['Administrator']}:</b>
                </div>
                <div class="col-md-8">
                    <span id="app_administrator"></span>
                </div>
            </div>

            <div class="row border-bottom">
                <div class="col-md-4 d-flex align-items-center">
                    <b><i class="fa fa-users"></i>&nbsp;&nbsp;{$service->lang['Users']}:</b>
                </div>
                <div class="col-md-8">
                    <span id="app_members"></span>
                </div>
            </div>
        </div>

    </div>
</div>

{literal}
<script>
    document.addEventListener("DOMContentLoaded", function () {
        const appInfo = document.getElementById("appInfo");
        const loader = document.getElementById("app_loader");

        function fetchServiceData() {
            loader.style.display = "flex";
            appInfo.style.display = "none";

            fetch("{/literal}{$url}{literal}&command=app_status")
                .then(response => response.json())
                .then(data => {
                    document.getElementById("app_version").innerText = `${data.version}`;
                    document.getElementById("app_administrator").innerText = `${data.administrator}`;

                    const administratorsList = data.members.map(member => {
                        return `${member}`;
                    }).join(', ');

                    document.getElementById("app_members").innerText = administratorsList;

                    loader.style.display = "none";
                    appInfo.style.display = "block";
                })
                .catch(error => {
                    console.error("Error fetching data: ", error);
                });
        }

        fetchServiceData();
    });
</script>


    <script>
        var passwordField = document.getElementById('password');
        var showPasswordButton = document.getElementById('showPasswordButton');

        function startShowPassword() {
            passwordField.type = 'text';
        }

        function endShowPassword() {
            passwordField.type = 'password';
        }

        showPasswordButton.addEventListener('mousedown', startShowPassword);
        showPasswordButton.addEventListener('mouseup', endShowPassword);
        showPasswordButton.addEventListener('mouseleave', endShowPassword);

        showPasswordButton.addEventListener('touchstart', startShowPassword);
        showPasswordButton.addEventListener('touchend', endShowPassword);
        showPasswordButton.addEventListener('touchcancel', endShowPassword);

        function copyAPIurl() {
            const input = document.getElementById('APIurl');
            navigator.clipboard.writeText(input.value).then(() => {
                alert('Copied to clipboard: ' + input.value);
            }).catch(err => {
                console.error('Copy error: ', err);
            });
        }

        function copyPassword() {
            const input = document.getElementById('password');
            navigator.clipboard.writeText(input.value).then(() => {
                alert('Copied to clipboard: ' + input.value);
            }).catch(err => {
                console.error('Copy error: ', err);
            });
        }

        function copyUsername() {
            const input = document.getElementById('username');
            navigator.clipboard.writeText(input.value).then(() => {
                alert('Copied to clipboard: ' + input.value);
            }).catch(err => {
                console.error('Copy error: ', err);
            });
        }


    </script>
{/literal}
